Skip to content
Proud to collaborate with Microsoft for Startups

docusign.templates.put-template-part ​

Shares a template with the specified members group. Note: For a newer version of this functionality, see Accounts: Update Shared Access.

Shares a template with a group.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
templateidstringYes—The ID of the template.
templatepartstringYes—Currently, the only defined part is groups.
endpositionstringNo—The last index position in the result set.
groupslistNo—A collection group objects containing information about the groups.
nexturistringNo—The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.
previousuristringNo—The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.
resultsetsizestringNo—The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
startpositionstringNo—The starting index position of the current result set.
totalsetsizestringNo—The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
templateidstringYes—The ID of the template.
templatepartstringYes—Currently, the only defined part is groups.
endpositionstringNo—The last index position in the result set.
groupslistNo—A collection group objects containing information about the groups.
nexturistringNo—The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.
previousuristringNo—The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.
resultsetsizestringNo—The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
startpositionstringNo—The starting index position of the current result set.
totalsetsizestringNo—The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/templates/{templateId}/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/templates/{templateId}/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.templates.put-template-part",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "templateid": "value",
    "templatepart": "value"
  }
}